# Send notification to all solution users (SLN)

## Send notification to all solution users (SLN)

<mark style="color:green;">`POST`</mark> `{{baseURL}}/tool/organizations/{{orgId}}/notifications`

Notify all users within a particular solution.

**Headers**

| Name          | Value                                                                                     |
| ------------- | ----------------------------------------------------------------------------------------- |
| Authorization | <p><code>Bearer \<token></code></p><p>Bearer Token - format:<br>BEARER XXXXXXXXXXXXXX</p> |

**Body**

Configure the following properties in the JSON body:

<table><thead><tr><th width="136.6640625">Name</th><th width="118.67578125">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>Title of the notification.</td></tr><tr><td><code>text</code></td><td>string</td><td>Notification message.</td></tr><tr><td><code>scope</code></td><td>string</td><td>"SLN" for users of the solution.</td></tr><tr><td><code>solutionId</code></td><td>string</td><td>"{{solutionId}}", available in Jigx Management> Solution Details.</td></tr></tbody></table>

{% code title="JSON body" %}

```json
{
  "content": {
    "title": "Weekly timesheets",
    "text": "Reminder to log your time for the week",
    "screen":"jig"
  },
  "scope": "SLN",
  "solutionId": "{{solutionId}}"
}
```

{% endcode %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "organizationId": "{{orgId}}",
    "region": "us-east-1",
    "notificationId": "85f22fef-1ebc-4dcd-961c-cf8b915c3245",
    "scope": "SLN",
    "solutionId": "{{solutionId}}",
    "state": "QUEUED",
    "startAt": "2025-04-04T09:04:33.446Z",
    "content": {
        "text": "Reminder to log your time for the week",
        "title": "Weekly timesheets",
        "screen": "jig",
        "inputs": {}
    },
    "createdAt": "2025-04-04T09:04:33.446Z",
    "createdBy": "{{userId}}",
    "updatedAt": "2025-04-04T09:04:33.446Z",
    "updatedBy": "{{userid}}"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jigx.com/examples/readme/notifications/external-push-notifications-_api_/send-notification-to-all-solution-users-_sln_.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
